package cat.hack3.codingtests.marsrover;

public record Coordinates(int latitude, int longitude) {

    public static Coordinates of(int latitude, int longitude) {
        return new Coordinates(latitude, longitude);
    }

    public Coordinates ofUpdatedLatitude(int newLatitude) {
        return new Coordinates(newLatitude, longitude);
    }

    public Coordinates ofUpdatedLongitude(int newLongitude) {
        return new Coordinates(latitude, newLongitude);
    }

}
